Subject: Re: [PATCH] powerpc/512x: add function for CS parameter configuration

From: Timur Tabi <[email-masked]>
Date: Sat, 02 Feb 2013 06:31:09 -0600

Anatolij Gustschin wrote:

>>> +struct mpc512x_lpc {
>>> +       u32     cs_cfg[8];      /* CS config */
>>> +       u32     cs_ctrl;        /* CS Control Register */
>>> +       u32     cs_status;      /* CS Status Register */
>>> +       u32     burst_ctrl;     /* CS Burst Control Register */
>>> +       u32     deadcycle_ctrl; /* CS Deadcycle Control Register */
>>> +       u32     holdcycle_ctrl; /* CS Holdcycle Control Register */
>>> +       u32     alt;            /* Address Latch Timing Register */
>>> +};
>>
>> These should be __be32.
>
> Why? To add a new bunch of sparse warnings?

Hmm... I thought that making them __be32 will *avoid* sparse warnings.

>> You forgot the iounmap() if lpc == NULL.
>
> No, it is intentional, no need to map/unmap again and again for all
> subsequent calls.

Sorry, for some reason I thought that lpc was a parameter that you passed in.

-- 
Timur Tabi